ZFS-PROJECT(8)

NAME
zfs-project - List, set, or clear project ID and/or inherit flag on the file(s) or directories.

SYNOPSIS
zfs project [-d|-r] file|directory...
zfs project -C [-kr] file|directory...
zfs project -c [-0] [-d|-r] [-p id] file|directory...
zfs project [-p id] [-rs] file|directory...

DESCRIPTION

    zfs project [-d|-r] file|directory... List project identifier (ID) and inherit flag of file(s) or directories.

    -d  Show the directory project ID and inherit flag, not its children. It will overwrite the former specified -r option.

    -r  Show on subdirectories recursively. It will overwrite the former specified -d option.

    zfs project -C [-kr] file|directory... Clear project inherit flag and/or ID on the file(s) or directories.

    -k  Keep the project ID unchanged. If not specified, the project ID will be reset as zero.

    -r  Clear on subdirectories recursively.

    zfs project -c [-0] [-d|-r] [-p id] file|directory... Check project ID and inherit flag on the file(s) or directories, report the entries without project inherit flag or with different project IDs from the specified (via -p option) value or the target directory's project ID.

    -0  Print file name with a trailing NUL instead of newline (by default), like "find -print0".

    -d  Check the directory project ID and inherit flag, not its children. It will overwrite the former specified -r option.

    -p  Specify the referenced ID for comparing with the target file(s) or directories' project IDs. If not specified, the target (top) directory's project ID will be used as the referenced one.

    -r  Check on subdirectories recursively. It will overwrite the former specified -d option.

    zfs project [-p id] [-rs] file|directory... Set project ID and/or inherit flag on the file(s) or directories.

    -p  Set the file(s)' or directories' project ID with the given value.

    -r  Set on subdirectories recursively.

    -s  Set project inherit flag on the given file(s) or directories. It is usually used for setup tree quota on the directory target with -r option specified together. When setup tree quota, by default the directory's project ID will be set to all its descendants unless you specify the project ID via -p option explicitly.

SEE ALSO
zfs-projectspace(8)